# Simple component buildsystem
include $(top_srcdir)/build.main.rules.mk

ASSEMBLY = daap-sharp
TARGET = library

PKG_CONFIG_FILES = daap-sharp.pc

FILES =  \
	src/AuthenticationException.cs \
	src/BrokenMD5.cs \
	src/Client.cs \
	src/ContentCodeBag.cs \
	src/ContentFetcher.cs \
	src/ContentParser.cs \
	src/ContentWriter.cs \
	src/Database.cs \
	src/Hasher.cs \
	src/LoginException.cs \
	src/Playlist.cs \
	src/Server.cs \
	src/ServerInfo.cs \
	src/ServiceLocator.cs \
	src/Track.cs \
	src/User.cs \
	src/Utility.cs

RESOURCES = \
	Resources/content-codes

REFERENCES = \
	$(MONO_ZEROCONF_LIBS) \
	ICSharpCode.SharpZipLib \
	System
